> For the complete documentation index, see [llms.txt](https://docs.fact-finder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fact-finder.com/webcomponents-overview/guides/quick-start/configuration.md).

# Configuration

This chapter describes the minimum required configuration to search and retrieve results from FactFinder. The configuration of the Web Components application is done with JavaScript.

For a detailed look at the configuration, see [Configuration](/webcomponents-overview/api/core-api/configuration.md).

## A minimal configuration consists of the following components

### Subscribe to the `ffCoreReady` event

This event signals that the Web Components core is ready for use. Consider this event the entry point to the Web Components library.

Typically, you set up your entire Web Components application inside the event handler to this event.

### URL

This is the location of your FactFinder instance.

{% hint style="warning" %}
Please note the context name `/fact-finder`. It is not sufficient to provide only the top-level domain like `https://your-instance.fact-finder.com/` which will result in an error.
{% endhint %}

### Channel

Specify the name of the channel which you want to use as the application's main source of search results. You can find the available channels in your FactFinder UI.

At runtime, you still have the option to query other channels.

### API key

Web Components uses API key authentication. Consult your FactFinder documentation about how to set up API keys.

### Initial search

Specific types of pages, such as search result and category pages, typically display relevant results without the need for user interaction.

Use this special command to automatically invoke a search request where needed.

## Example

```js
document.addEventListener(`ffCoreReady`, ({ factfinder, init, initialSearch }) => {
    init({
        ff: {
            url: `https://your-instance.fact-finder.com/fact-finder`,
            channel: `your-channel`,
            apiKey: `your.apiKey`,
        },
    });

    // Call `initialSearch` on pages that shall display search results automatically.
    initialSearch({ query: `the lost ark` });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fact-finder.com/webcomponents-overview/guides/quick-start/configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
